import { PixelRatio, StyleSheet } from "react-native";

const styles = StyleSheet.create({
  fontTitle: { fontSize: 100, fontWeight: "bold" },
  fontApplicationTitle: {
    fontSize: 32,
    fontWeight: "bold",
  },
  fontPokemonName: { fontSize: 26, fontWeight: "bold" },
  fontFilterTitle: { fontSize: 16, fontWeight: "bold" },
  fontDescription: { fontSize: 16, fontWeight: "400" },
  fontPokemonNumber: { fontSize: 12, fontWeight: "bold" },
  fontPokemonType: { fontSize: 12, fontWeight: "500" },

  colorType_bug: { color: "#8CB230" },
  colorType_dark: { color: "#58575F" },
  colorType_dragon: { color: "#0F6AC0" },
  colorType_electric: { color: "#EED535" },
  colorType_fairy: { color: "#ED6EC7" },
  colorType_fighting: { color: "#D04164" },
  colorType_fire: { color: "#FD7D24" },
  colorType_flying: { color: "#748FC9" },
  colorType_ghost: { color: "#556AAE" },
  colorType_grass: { color: "#62B957" },
  colorType_ground: { color: "#DD7748" },
  colorType_ice: { color: "#61CEC0" },
  colorType_normal: { color: "#9DA0AA" },
  colorType_poison: { color: "#A552CC" },
  colorType_psychic: { color: "#EA5D60" },
  colorType_rock: { color: "#BAAB82" },
  colorType_steel: { color: "#417D9A" },
  colorType_water: { color: "#4A90DA" },

  bgColor_bug: { backgroundColor: "#8CB230" },
  bgColor_dark: { backgroundColor: "#58575F" },
  bgColor_dragon: { backgroundColor: "#0F6AC0" },
  bgColor_electric: { backgroundColor: "#EED535" },
  bgColor_fairy: { backgroundColor: "#ED6EC7" },
  bgColor_fighting: { backgroundColor: "#D04164" },
  bgColor_fire: { backgroundColor: "#FD7D24" },
  bgColor_flying: { backgroundColor: "#748FC9" },
  bgColor_ghost: { backgroundColor: "#556AAE" },
  bgColor_grass: { backgroundColor: "#62B957" },
  bgColor_ground: { backgroundColor: "#DD7748" },
  bgColor_ice: { backgroundColor: "#61CEC0" },
  bgColor_normal: { backgroundColor: "#9DA0AA" },
  bgColor_poison: { backgroundColor: "#A552CC" },
  bgColor_psychic: { backgroundColor: "#EA5D60" },
  bgColor_rock: { backgroundColor: "#BAAB82" },
  bgColor_steel: { backgroundColor: "#417D9A" },
  bgColor_water: { backgroundColor: "#4A90DA" },

  backgroundType_bug: { backgroundColor: "#8BD674" },
  backgroundType_dark: { backgroundColor: "#6F6E78" },
  backgroundType_dragon: { backgroundColor: "#7383B9" },
  backgroundType_electric: { backgroundColor: "#F2CB55" },
  backgroundType_fairy: { backgroundColor: "#EBA8C3" },
  backgroundType_fighting: { backgroundColor: "#EB4971" },
  backgroundType_fire: { backgroundColor: "#FFA756" },
  backgroundType_flying: { backgroundColor: "#83A2E3" },
  backgroundType_ghost: { backgroundColor: "#8571BE" },
  backgroundType_grass: { backgroundColor: "#8BBE8A" },
  backgroundType_ground: { backgroundColor: "#F78551" },
  backgroundType_ice: { backgroundColor: "#91D8DF" },
  backgroundType_normal: { backgroundColor: "#B5B9C4" },
  backgroundType_poison: { backgroundColor: "#9F6E97" },
  backgroundType_psychic: { backgroundColor: "#FF6568" },
  backgroundType_rock: { backgroundColor: "#D4C294" },
  backgroundType_steel: { backgroundColor: "#4C91B2" },
  backgroundType_water: { backgroundColor: "#58ABF6" },

  background_white: { backgroundColor: "#FFFFFF" },
  background_defaultInput: { backgroundColor: "#F2F2F2" },
  background_pressedInput: { backgroundColor: "#E2E2E2" },
  background_modal: { backgroundColor: "#17171B", opacity: 0.5 },

  text_white: { color: "#FFFFFF" },
  text_black: { color: "#17171B" },
  text_gray: { color: "#747476" },
  text_number: { color: "#17171B", opacity: 0.6 },

  height_short: { backgroundColor: "#FFC5E6" },
  height_medium: { backgroundColor: "#AEBFD7" },
  height_tall: { backgroundColor: "#AAACB8" },

  weight_light: { backgroundColor: "#99CD7C" },
  weight_normal: { backgroundColor: "#57B2DC" },
  weight_heavy: { backgroundColor: "#5A92A5" },

  button: {
    width: 334,
    height: 60,
    borderRadius: 10,
    paddingTop: 20,
    paddingRight: 30,
    paddingBottom: 20,
    paddingLeft: 30,
    textAlign: "center",
    lineHeight: 18.75,
  },

  buttonBottomModal: {
    borderRadius: 10,
    paddingVertical: 20,
    paddingHorizontal: 30,
    alignItems: "center",
  },
  label: {
    borderRadius: 8,
    paddingVertical: 8,
    paddingHorizontal: 10,
    textAlign: "center",
  },
  textField: {
    // width: 334 / PixelRatio.get(),
    // height: 60 / PixelRatio.get(),
    borderRadius: 10,
    paddingVertical: 20,
    paddingHorizontal: 25,
  },
});

export default styles;
